# -*- coding: utf-8 -*-
from setuphelpers import *

bin_contains = "OpenJDK8U"
bin_vm = "temurin-8.jre"


def install():
    # Declaring local variables
    bin_name = glob.glob("*%s*.pkg" % bin_contains)[0]

    # Installing the software
    print("Installing: %s" % bin_name)
    install_pkg(bin_name)


def uninstall():
    pkg_name = "net.temurin.8.jre"

    print("suppression de openjdk8")
    uninstall_pkg(pkg_name)
    shutil.rmtree("/Library/Java/JavaVirtualMachines/%s" % bin_vm)
